org.eclipse.microprofile.metrics.tck.cdi

## Class GaugeInjectionBeanTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.cdi.GaugeInjectionBeanTest

    public class GaugeInjectionBeanTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`GaugeInjectionBeanTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `callGaugeAfterSetterCall(Gauge<Long> gauge)`
`void` `gaugeCalledWithDefaultValue()`
`void` `instantiateApplicationScopedBean()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GaugeInjectionBeanTest

    public GaugeInjectionBeanTest()

### Method Detail

#### instantiateApplicationScopedBean

    public void instantiateApplicationScopedBean()

#### gaugeCalledWithDefaultValue

    @InSequence(value=1)
    public void gaugeCalledWithDefaultValue()

#### callGaugeAfterSetterCall

    @InSequence(value=2)
    public void callGaugeAfterSetterCall(Gauge<Long> gauge)